
Showroom Mobile Banking - Feature #13188

Pay card web services

25 February 2022 09:18 AM - David Wong

Status: Closed Start date: 25 February 2022

Priority: Normal Due date: 25 February 2022

Assignee: Hoo Dextor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Please share the card payment web service endpoint URL and also a sample card payment request/response data.

History

#1 - 25 February 2022 05:45 PM - santhosh Krishna

- Status changed from New to In Progress

WS : cardPaymentList

URL : /cc_mib_ws/api/v1/ribms/cardPaymentList

REQUEST: {

fromAccOverview":"Y",

"creditCardIndex":"ACC003"

}

RESPONSE : similar to "reportLSFList" ws

--------------------------------------------------

WS : cardPaymentAck

URL : /cc_mib_ws/api/v1/ribms/cardPaymentAck"

REQUEST: {

"ownCardIndex":"1",

"suppCardIndex":"",

"debitCardIndex":"",

"refCode":"",

"amounts": 25.90

}

RESPONSE   {

"status": {

"status_code": "0"

},

"credit_card": {

"account_id": "",

"card_id": "0",

"card_payment": {

"reference_code": "asdasdad",

"amounts": "12.99"

}

}

}
#2 - 25 February 2022 07:00 PM - santhosh Krishna

- Status changed from In Progress to Resolved

- Assignee changed from santhosh Krishna to David Wong

#3 - 25 February 2022 07:03 PM - David Wong

- Status changed from Resolved to Assigned

- Assignee changed from David Wong to chok yee fan

#4 - 01 March 2022 02:37 PM - chok yee fan

- Assignee changed from chok yee fan to Wee Meng Soh

have develop new screen for it, similar to lost credit card screens.

#5 - 07 March 2022 10:32 AM - Wee Meng Soh

- File Screenshot 2022-03-07 at 10.28.31 AM.png added

- Status changed from Assigned to Resolved

- Assignee changed from Wee Meng Soh to Hoo Dextor

- % Done changed from 0 to 100

weemeng.soh: Feature #13188 Pay card web services.

#6 - 07 March 2022 10:47 AM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

Released Showroom MY SIT 1.0.0.5 in MY

#7 - 08 March 2022 02:27 PM - chok yee fan

- Status changed from Pending SIT  to Closed

Files

Screenshot 2022-03-07 at 10.28.31 AM.png 1.19 MB 07 March 2022 Wee Meng Soh
